Rafobase Logo

Get creator commission history

Retrieve a paginated list of the creator's sales/commission history. This endpoint does not require authentication.

GET
/creators/{token}/sales

Retrieve a paginated list of the creator's sales/commission history. This endpoint does not require authentication.

Path Parameters

token*string

Creator public token

Query Parameters

page?integer

Page number

Default1
limit?integer

Items per page

Default20

Response Body

application/json

application/json

curl -X GET "https://api-base.rafo.work/api/v1/creators/abc123def456/sales"
{
  "data": [
    {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "orderAmount": 0,
      "commissionAmount": 0,
      "status": "pending",
      "createdAt": "2019-08-24T14:15:22Z"
    }
  ],
  "pagination": {
    "page": 0,
    "limit": 0,
    "total": 0
  }
}
{
  "error": {
    "code": "NOT_FOUND",
    "message": "Resource not found"
  }
}